#!/bin/sh

# A script to checkout a specified revision of software outof a subversion repository and make an archieve of it.

MODULE=$1
URL=$2
REVISION=$3

echo svn export -r $REVISION $URL/$MODULE
svn export -r $REVISION $URL/$MODULE || exit 1

echo tar -cjf $MODULE-$REVISION.tar.bz2 $MODULE
tar -cjf $MODULE-$REVISION.tar.bz2 $MODULE || exit 1

rm -rf $MODULE
rm -rf $MODULE  || exit 1

exit 0
